Bug 129827 - databases/sqldeveloper version update from 1.5.1 to 1.5.3
Summary: databases/sqldeveloper version update from 1.5.1 to 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-21 20:20 UTC by jjuanino
Modified: 2008-12-24 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.09 KB, patch)
2008-12-21 20:20 UTC, jjuanino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jjuanino 2008-12-21 20:20:01 UTC
I send a patch to update sqldeveloper port from 1.5.1.54.40 to 1.5.3.57.83 version

# cd /usr/ports/databases/sqldeveloper
# patch -p1 < pathToPatch.diff
# rm *.orig

Release notes:

www.oracle.com/technology/products/database/sql_developer/files/relnotes_v153.html

Best regards

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2008-12-21 20:31:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 jjuanino 2008-12-22 10:10:19 UTC
Hi,

I have forgot to remove the line:

PORTREVISION=1

Regards
Comment 3 jjuanino 2008-12-22 11:25:51 UTC
El lunes 22 de diciembre a las 11:10:18 CET, Jose Garcia Juanino escribió:
> Hi,
> 
> I have forgot to remove the line:
> 
> PORTREVISION=1

I have another improvement:

* Below the line

PORTVERSION=    1.5.3.57.83

inserts the new variable:

PORTMINORVERSION=       ${PORTVERSION:C/([0-9]+\.){3}//:S/.//}

This gives, for PORTVERSION=1.5.3.57.83:

PORTMINORVERSION=5783

* Substitute the line:

DISTNAME=       ${PORTNAME}-5783${DISTVERSIONSUFFIX}

by

DISTNAME=       ${PORTNAME}-${PORTMINORVERSION}${DISTVERSIONSUFFIX}

With these changes, the new port updates will be easier and simpler.

Best regards
Comment 4 Martin Wilke freebsd_committer 2008-12-24 19:40:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2008-12-24 19:41:08 UTC
miwi        2008-12-24 19:40:58 UTC

  FreeBSD ports repository

  Modified files:
    databases/sqldeveloper Makefile distinfo pkg-plist 
  Log:
  - Update to 1.5.3
  
  PR:             129827
  Submitted by:   José García Juanino <jjuanino@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.6       +2 -9      ports/databases/sqldeveloper/Makefile
  1.4       +3 -3      ports/databases/sqldeveloper/distinfo
  1.4       +2 -6      ports/databases/sqldeveloper/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"